# Uses of Interface
org.springframework.web.servlet.ViewResolver

Packages that use ViewResolver
Package
Description
org.springframework.web.servlet
Provides servlets that integrate with the application context infrastructure, and the core interfaces and classes for the Spring web MVC framework.
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.
org.springframework.web.servlet.view
Provides standard View and ViewResolver implementations, including abstract base classes for custom implementations.
org.springframework.web.servlet.view.freemarker
Support classes for the integration of FreeMarker as Spring web view technology.
org.springframework.web.servlet.view.groovy
Support classes for the integration of Groovy Templates as Spring web view technology.
org.springframework.web.servlet.view.script
Support classes for views based on the JSR-223 script engine abstraction.
org.springframework.web.servlet.view.xslt
Support classes for XSLT, providing a View implementation for XSLT stylesheets.

## Uses of ViewResolver in org.springframework.web.servlet

Methods in org.springframework.web.servlet with parameters of type ViewResolver
Modifier and Type
Method
Description
`default void`
SmartView.`resolveNestedViews(ViewResolver resolver, Locale locale)`
In most cases, the `DispatcherServlet` uses `ViewResolver`s to resolve `View` instances.

## Uses of ViewResolver in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return ViewResolver
Modifier and Type
Method
Description
`ViewResolver`
WebMvcConfigurationSupport.`mvcViewResolver(org.springframework.web.accept.ContentNegotiationManager contentNegotiationManager)`
Register a `ViewResolverComposite` that contains a chain of view resolvers to use for view resolution.
Methods in org.springframework.web.servlet.config.annotation that return types with arguments of type ViewResolver
Modifier and Type
Method
Description
`protected List<ViewResolver>`
ViewResolverRegistry.`getViewResolvers()`
Methods in org.springframework.web.servlet.config.annotation with parameters of type ViewResolver
Modifier and Type
Method
Description
`void`
ViewResolverRegistry.`viewResolver(ViewResolver viewResolver)`
Register a `ViewResolver` bean instance.

## Uses of ViewResolver in org.springframework.web.servlet.view

Classes in org.springframework.web.servlet.view that implement ViewResolver
Modifier and Type
Class
Description
`class`
`AbstractCachingViewResolver`
Convenient base class for `ViewResolver` implementations.
`class`
`AbstractTemplateViewResolver`
Abstract base class for template view resolvers, in particular for FreeMarker views.
`class`
`BeanNameViewResolver`
A simple implementation of `ViewResolver` that interprets a view name as a bean name in the current application context, i.e.
`class`
`ContentNegotiatingViewResolver`
Implementation of `ViewResolver` that resolves a view based on the request file name or `Accept` header.
`class`
`InternalResourceViewResolver`
Convenient subclass of `UrlBasedViewResolver` that supports `InternalResourceView` (i.e.
`class`
`ResourceBundleViewResolver`
Deprecated.
as of 5.3, in favor of Spring's common view resolver variants and/or custom resolver implementations
`class`
`UrlBasedViewResolver`
Simple implementation of the `ViewResolver` interface, allowing for direct resolution of symbolic view names to URLs, without explicit mapping definitions.
`class`
`ViewResolverComposite`
A `ViewResolver` that delegates to others.
`class`
`XmlViewResolver`
Deprecated.
as of 5.3, in favor of Spring's common view resolver variants and/or custom resolver implementations
Methods in org.springframework.web.servlet.view that return types with arguments of type ViewResolver
Modifier and Type
Method
Description
`List<ViewResolver>`
ContentNegotiatingViewResolver.`getViewResolvers()`
`List<ViewResolver>`
ViewResolverComposite.`getViewResolvers()`
Return the list of view viewResolvers to delegate to.
Method parameters in org.springframework.web.servlet.view with type arguments of type ViewResolver
Modifier and Type
Method
Description
`void`
ContentNegotiatingViewResolver.`setViewResolvers(List<ViewResolver> viewResolvers)`
Sets the view resolvers to be wrapped by this view resolver.
`void`
ViewResolverComposite.`setViewResolvers(List<ViewResolver> viewResolvers)`
Set the list of view viewResolvers to delegate to.

## Uses of ViewResolver in org.springframework.web.servlet.view.freemarker

Classes in org.springframework.web.servlet.view.freemarker that implement ViewResolver
Modifier and Type
Class
Description
`class`
`FreeMarkerViewResolver`
Convenience subclass of `UrlBasedViewResolver` that supports `FreeMarkerView` (i.e.

## Uses of ViewResolver in org.springframework.web.servlet.view.groovy

Classes in org.springframework.web.servlet.view.groovy that implement ViewResolver
Modifier and Type
Class
Description
`class`
`GroovyMarkupViewResolver`
Convenience subclass of `AbstractTemplateViewResolver` that supports `GroovyMarkupView` (i.e.

## Uses of ViewResolver in org.springframework.web.servlet.view.script

Classes in org.springframework.web.servlet.view.script that implement ViewResolver
Modifier and Type
Class
Description
`class`
`ScriptTemplateViewResolver`
Convenience subclass of `UrlBasedViewResolver` that supports `ScriptTemplateView` and custom subclasses of it.

## Uses of ViewResolver in org.springframework.web.servlet.view.xslt

Classes in org.springframework.web.servlet.view.xslt that implement ViewResolver
Modifier and Type
Class
Description
`class`
`XsltViewResolver`
`ViewResolver` implementation that resolves instances of `XsltView` by translating the supplied view name into the URL of the XSLT stylesheet.